    The XSPEC comptb model: Thermal and bulk Comptonization of a seed blackbody-like spectrum.

xscomptb
The xscomptb model is an additive model component.

The model is described at [1] .

>>> create_model_component("xscomptb", "mdl")
>>> print(mdl)

Create a component of the xscomptb model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kTs thawed 1 0.1 10 keV mdl.gamma frozen 3 1 10 mdl.alpha thawed 2 0 400 mdl.delta thawed 20 0 200 mdl.kTe thawed 5 0.2 2000 keV mdl.log_A thawed 0 -8 8 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kTs
The temperature of the seed photons, in keV.
gamma
The index of the seed photon spectrum.
alpha
The energy index of the Comptonization spectrum.
delta
The bulk parameter, efficiency of bulk over thermal Comptonization.
kTe
The temperature of the electrons, in keV.
log_A
The log of the illuminating factor parameter (A).
norm
The normalization of the seed photon spectrum: it is the same definition as used for the xsbbody model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelComptb.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023